- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_system_password_policy_guest_admin – Configure the password policy for guest administrators in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify system feature and password_policy_guest_admin category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
system_password_policy_guest_admin dictionary | Default: null | Configure the password policy for guest administrators.
| apply_to string | Choices: guest-admin-password | Guest administrator to which this password policy applies.
| change_4_characters string | Choices: enable disable | Enable/disable changing at least 4 characters for a new password (This attribute overrides reuse-password if both are enabled).
| expire_day integer |  | Number of days after which passwords expire (1 - 999 days).
| expire_status string | Choices: enable disable | Enable/disable password expiration.
| min_lower_case_letter integer |  | Minimum number of lowercase characters in password (0 - 128).
| min_non_alphanumeric integer |  | Minimum number of non-alphanumeric characters in password (0 - 128).
| min_number integer |  | Minimum number of numeric characters in password (0 - 128).
| min_upper_case_letter integer |  | Minimum number of uppercase characters in password (0 - 128).
| minimum_length integer |  | Minimum password length (8 - 128).
| reuse_password string | Choices: enable disable | Enable/disable reusing of password (if both reuse-password and change-4-characters are enabled, change-4-characters overrides).
| status string | Choices: enable disable | Enable/disable setting a password policy for locally defined administrator passwords and IPsec VPN pre-shared keys.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure the password policy for guest administrators.
        fortios_system_password_policy_guest_admin:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          system_password_policy_guest_admin:
            apply_to: "guest-admin-password"
            change_4_characters: "enable"
            expire_day: "5"
            expire_status: "enable"
            min_lower_case_letter: "7"
            min_non_alphanumeric: "8"
            min_number: "9"
            min_upper_case_letter: "10"
            minimum_length: "11"
            reuse_password: "enable"
            status: "enable"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.